Bug 142668 - /usr/bin/mikmod has wound up incorrectly in mikmod-devel (with others that do not go in -devel)
/usr/bin/mikmod has wound up incorrectly in mikmod-devel (with others that d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mikmod (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: 132991 141856
  Show dependency treegraph
 
Reported: 2004-12-12 01:53 EST by Scott R. Godin
Modified: 2014-03-16 22:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 20:24:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Slightly altered mikmod.spec file (6.32 KB, text/plain)
2004-12-12 02:25 EST, Michael Kearey
no flags Details

  None (edit)
Description Scott R. Godin 2004-12-12 01:53:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
in the transition from FC2 to FC3 the mikmod and mikmod-devel rpms
seem to have gotten their files' intent confused: 

FC2 rpm: 
1:48am {1} pcp01723902pcs:/home/webdragon>$ rpm -ql mikmod
/usr/bin/libmikmod-config
/usr/bin/mikmod
/usr/include/mikmod.h
/usr/lib/libmikmod.a
/usr/lib/libmikmod.la
/usr/lib/libmikmod.so
/usr/lib/libmikmod.so.2
/usr/lib/libmikmod.so.2.0.2
/usr/share/aclocal/libmikmod.m4
/usr/share/doc/mikmod-3.1.6
/usr/share/doc/mikmod-3.1.6/AUTHORS
/usr/share/doc/mikmod-3.1.6/COPYING
/usr/share/doc/mikmod-3.1.6/INSTALL
/usr/share/doc/mikmod-3.1.6/NEWS
/usr/share/doc/mikmod-3.1.6/PROBLEMS
/usr/share/doc/mikmod-3.1.6/README
/usr/share/doc/mikmod-3.1.6/TODO
/usr/share/info/mikmod.info-1.gz
/usr/share/info/mikmod.info-2.gz
/usr/share/info/mikmod.info-3.gz
/usr/share/info/mikmod.info.gz
/usr/share/man/man1/libmikmod-config.1.gz
/usr/share/man/man1/mikmod.1.gz


FC3 rpms: 
1:43am {31} localhost:/home/webadmin>$ rpm -ql mikmod
/usr/lib/libmikmod.so
/usr/lib/libmikmod.so.2
/usr/lib/libmikmod.so.2.0.4
/usr/share/doc/mikmod-3.1.6
/usr/share/doc/mikmod-3.1.6/AUTHORS
/usr/share/doc/mikmod-3.1.6/COPYING
/usr/share/doc/mikmod-3.1.6/NEWS
/usr/share/doc/mikmod-3.1.6/README
/usr/share/doc/mikmod-3.1.6/TODO
/usr/share/man/man1/mikmod.1.gz

1:37am {29} localhost:/home/webadmin>$ rpm -ql mikmod-devel
/usr/bin/libmikmod-config
/usr/bin/mikmod
/usr/include/mikmod.h
/usr/lib/libmikmod.a
/usr/lib/libmikmod.la
/usr/share/aclocal/libmikmod.m4
/usr/share/info/mikmod.info.gz
/usr/share/man/man1/libmikmod-config.1.gz


notice how the mikmod manpage is included in the mikmod rpm, but NOT
/usr/bin/mikmod itself. 



Version-Release number of selected component (if applicable):
mikmod-3.1.6-30

How reproducible:
Always

Steps to Reproduce:
1. yum install mikmod
2. attempt to run mikmod from console
3. scratch head and wonder where the app went? :| 
    

Actual Results:  no /usr/bin/mikmod until one ALSO installs mikmod-devel

Expected Results:  successful run of /usr/bin/mikmod app from the console

Additional info:

mikmod and mikmod-config should neither of them be in mikmod-devel
Comment 1 Michael Kearey 2004-12-12 02:25:53 EST
Created attachment 108398 [details]
Slightly altered mikmod.spec file
Comment 2 Michael Kearey 2004-12-12 02:32:44 EST
The attached spec file seems to fix the problem. The %{_bindir}/* was
in the %files devel instead of %files

Comment 3 Bill Nottingham 2004-12-13 20:24:16 EST
-config should certainly be in -devel. The main binary, not so much.

Fixed in -31.
Comment 7 Dennis Gregorovic 2005-05-19 23:25:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-153.html

Note You need to log in before you can comment on or make changes to this bug.